Download it now!
Bug 79917 - 'Save a Copy' not available in other modules
Summary: 'Save a Copy' not available in other modules
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.0.0.beta2
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0 target:4.3.2
Keywords:
: 73825 (view as bug list)
Depends on:
Blocks: Main-Menu Unify-Across-Apps Save
  Show dependency treegraph
 
Reported: 2014-06-11 12:33 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-21 22:39 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Add 'File - Save a Copy' to Calc, Impress and Draw. (1.72 KB, patch)
2014-07-28 19:07 UTC, Heiko
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-06-11 12:33:53 UTC
The option to 'Save as Copy' was added to writer in 4.1 but was never added to the other modules like Calc and Impress. Tested in 4.2.4 and 4.3 beta 2 on Linux Mint.
Comment 1 Firas Hanife 2014-06-11 13:15:51 UTC
I can confirm that the option "Save a Copy" is only available in the Writer module.
Tested on openSUSE with 4.1.6.2, 4.2.4.2 and 4.3.0.0.beta2 .

Changing Status to NEW.
Comment 2 m.a.riosv 2014-06-11 22:53:56 UTC
Why this has been added to MAB?, sorry but I think MAB is not for this kind of bugs.

https://wiki.documentfoundation.org/QA/Most_Annoying_Bugs
https://wiki.documentfoundation.org/Release_Criteria#Blocker_Bug_Definition

I don't think this is really a bug but a request for enhancement.
Comment 3 m.a.riosv 2014-06-11 22:56:51 UTC
(I didn't finish the phrase)
As such not a MAB.
Comment 4 V Stuart Foote 2014-06-12 12:32:45 UTC
setting ux-advise for discussion and prioritization of what otherwise seems to be an oversight.
Comment 5 Stefan Knorr (astron) 2014-06-12 14:11:16 UTC
Seems useful, but I guess there is not much to discuss here. "Medium/enhancement" seems like the correct prio. Please implement. :)
Comment 6 Stefan Knorr (astron) 2014-06-12 14:11:46 UTC
Removing ux-advise again. (Setting component to UI.)
Comment 7 Heiko 2014-07-28 19:07:11 UTC
Created attachment 103608 [details]
Add 'File - Save a Copy' to Calc, Impress and Draw.

Add 'File - Save a Copy' to Calc, Impress and Draw, based on Adam Csaba Kiraly work in Issue 60780.
Comment 8 Heiko 2014-07-28 19:08:23 UTC
MAB, indeed.
Please see also Issue 60780 and iSSUE 73825: IF knwowing this, a user CAN add 'Save A Copy" on his own the other module menus, but having this as default would increase usability and ui-consistency.

Made a little research on issues targeting this:

LibreOffice:
Issue 60780: Writer introducing "Save Copy as"
Issue 73825: FILESAVE: enhancement: SAVE A COPY AS in menu
Issue 51071: FILESAVE: CSV form .odt should be an export, not a save-as target
Issue 79917 (this one): 'Save a Copy' not available in other modules

OpenOffice/Apache OpenOffice (issue-nr, opening date, subject):
3229: 2002-02-27 11:02:00: Offer ability not to switch to "Save As" format: 2002-02-27 11:02:00
6695: 2002-08-02 01:39:12: File SaveAs/Export to TEXT: Export to different formats in addition to Save As...: 2002-08-02 01:39:12
11393: 2003-02-11 15:22:24: Add File | Export... functionality for _all_ supported formats: 2003-02-11 15:22:24
14736: 2003-05-22 08:58:52: 'Save copy as...' would be fine: 2003-05-22 08:58:52
32684: 2004-08-06 15:41:14: Export to CSV: 2004-08-06 15:41:14
69076: 2006-08-30 00:43:18: All file format available in the "export" menu entry: 2006-08-30 00:43:18
75758: 2007-03-26 18:51:56: Add a "Save a copy as..." entry in "File" menu: 2007-03-26 18:51:56
98435: 2009-01-24 19:28:54: Save copy AS: 2009-01-24 19:28:54
107902: 2009-12-26 16:52:15: Save a Copy is quite useful: 2009-12-26 16:52:15
108053: 2010-01-04 07:43:15: Provide a "Save a copy" feature in all Openoffice.org applications: 2010-01-04 07:43:15
116696: 2011-01-29 01:49:06: Request: "Save a copy as..." File menu item: 2011-01-29 01:49:06

Compiled LO last weekend with modified calc, impress & draw xml uiconfig file in the source. it worked! Unfortunately I am not yet familiar in the patch submitting procedure :-(
Comment 9 Jorendc 2014-07-29 09:52:59 UTC
(In reply to comment #8)
> Compiled LO last weekend with modified calc, impress & draw xml uiconfig
> file in the source. it worked! Unfortunately I am not yet familiar in the
> patch submitting procedure :-(

See https://wiki.documentfoundation.org/Development/gerrit and/or join the IRC dev channel for assistance if you got stuck on the gerrit-setup process. http://webchat.freenode.net/?channels=libreoffice-dev

Kind regards,
Joren
Comment 10 Commit Notification 2014-08-05 13:38:48 UTC
Heiko Scheidt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b34ddf0700a0d3ea51e7aca5e1b28851150f6f8c

fdo#79917: Add 'Save a Copy' to Calc/Impress/Draw.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Yousuf Philips (jay) (retired) 2014-08-05 13:46:51 UTC
Thanks Heiko for the patch. Sad that it wont be added to 4.3.
Comment 12 Maxim Monastirsky 2014-08-07 06:05:58 UTC
*** Bug 73825 has been marked as a duplicate of this bug. ***
Comment 13 Heiko 2014-08-08 20:21:17 UTC
Trying to submit patches for 4.2 / 4.3, too.
Comment 14 Adolfo Jayme 2014-08-09 04:25:10 UTC
I don’t see the point of submitting to 4.2 (it’s nearly EOL) and for 4.3 it will add even more work for translators and the documentation team. Is it worth it? Can’t people wait six months for 4.4 to be released?
Comment 15 Andrzej Hunt 2014-08-09 09:52:50 UTC
(In reply to comment #14)
> I don’t see the point of submitting to 4.2 (it’s nearly EOL) and for 4.3 it
> will add even more work for translators and the documentation team. Is it
> worth it? Can’t people wait six months for 4.4 to be released?

* There is going to be one more 4.2 release AFAICR (the press-release for 4.2.6 was incorrect), and these releases tend to live for quite a while, so perhaps not entirely pointless.
* There is no extra translation work: the appropriate string is already present -- and is reused for these menu entries. (I.e. this patch simply uses the id ".uno:SaveACopy", which means we automatically reuse all the same code/translations for all modules that use it.).

However this is a UI change and not a bug fix per se (could even be regarded as a feature addition), so the case for backporting would be quite difficult to argue.
Comment 16 Yousuf Philips (jay) (retired) 2014-08-09 20:35:55 UTC
(In reply to comment #14)
> I don’t see the point of submitting to 4.2 (it’s nearly EOL) and for 4.3 it
> will add even more work for translators and the documentation team. Is it
> worth it? Can’t people wait six months for 4.4 to be released?

There wont be any translator work involved as the file menu in all applications use the same translation strings.

Thinking about your question of how worth it will be for 4.2, well 4.2 will be the only available repo version that will be available in Ubuntu 14.04 LTS and all its derivatives for the next 5 years, similar to Ubuntu 12.04 LTS is still running on 3.5.

Regard 4.3, as it has just released less than 2 weeks ago and will be actively used for the next 9+ months, i think it is worth it, which is why i submitted it to be included in the 4.3 release.
Comment 17 Commit Notification 2014-08-11 08:16:35 UTC
Heiko Scheidt committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=31ac0e35cfa1e8d012f180a97de13c440908411d&h=libreoffice-4-3

fdo#79917: Add 'Save a Copy' to Calc/Impress/Draw (LO4.3-Branch)


It will be available in LibreOffice 4.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.